Bug 171315 - nc-1.82-fc4.1 doesn't use SO_REUSEADDR
nc-1.82-fc4.1 doesn't use SO_REUSEADDR
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nc (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 14:01 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.82-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 06:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-10-20 14:01:26 EDT
Description of problem:

nc 1.82 in fc4 doesn't do a setsockopt(..., SO_REUSEADDR, ...)
so, for example, if you've get nc setup to listen
(nc -l localhost 8080) and you ^D out of it after a connection,
you have to wait for the socket to timewait 60 seconds before
you can start another nc listener.

The original 1.10 version did a SO_REUSEADDR and then had
an ifdef to use SO_REUSEPORT if that was available (with a
comment that SO_REUSEPORT wasn't available everywhere.)  The
1.82 source (an openbsd modified/rewritten version apparently?)
only does a SO_REUSEPORT.  So maybe an upstream portability issue
or RH needs to patch for SO_REUSEADDR instead?
Comment 1 Radek Vokal 2005-10-21 06:09:49 EDT
Correct, fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.